#

Function INTEGERP

Syntax:

integerp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type integer; otherwise, returns false.

Examples:

     (integerp 1) =>  true
     (integerp (expt 2 130)) =>  true
     (integerp 6/5) =>  false
     (integerp nil) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (integerp object) ==  (typep object 'integer)

Copyright 1996-2005, LispWorks Ltd. All rights reserved.